Subject: Re: Unimplemented ANSI C library and UNIX function calls??
From: "Gerrit P. Haase" <[email-masked]>
To: "Alvyn Liang" <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Jan 2004 12:45:47 +0100

Hello Alvyn,

you wrote:

> Wish this mail does not go into a wrong account. I am a new user of this
> mailing list. Please forgive me if I make any mistake. Thanks.

> I browsed the FAQ and raised a question, "Are the unimplemented ANSI C
> library functions important for us?"

> After the installation of Cygwin, it has been quite a while (almost a year)
> for me using Cygwin PERL. It's helped me complete several jobs of my
> project. Although it helps me a lot, I am still using VC++ for the programs
> require OpenGL visualizations. Now I come into a dilemma of whether I should
> lean onto Cygwin for my entire project with C/C++ and GCC in Cygwin, or I
> should keep my pace on VC++.

> This morning, I resolved several problems by looking into the FAQ of Cygwin
> and had myself compiled and successfully executed a basic GUI code provided
> by the documentation of Cygwin website. Somehow I obtained a little
> confidence of using GCC afterward, but I am still wondering if there are so
> many unimplemented ANSI C functions, does that mean there might be certain
> amount of jobs are unfeasible for Cygwin C compiler.

The C library used is newlib, you may contribute unimplemented functions
since it is open source too.

> I will use C/C++ processing numerical optimizations joint with OpenGL
> visualization, and some GUI interfaces probably. Can someone help answering
> my question, whether it is optimistic to do my work on Cygwin?

GUI is kind of universal.  You may use X which is included in the
distribution, or you need to install your own toolkit like GTK+ or QT
which are not included in the distribution, but there are binaries
available ( http://cygnome.sf.net & http://kde-cygwin.sf.net ).

> And again, can I ask a more stupid question "Is C++ library provided in
> Cygwin?"

There is libstdc++ included in the gcc-g++ package and the MinGW version
is in the gcc-g++-mingw package.

Cygwin itself is written in C++.

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/